Skip to content
Dashboard
Theme
Theme

Put customer IT email configuration

PUT /v1/it_email_configuration: Put customer IT email configuration.

View Markdown

PUT /v1/it_email_configuration

Scope
environment:write
Auth
Secret key (sk_…)
Since
1.0
  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

  • provider string Required

    one of ses, postmark, resend, mailgun, sendgrid, smtp

  • from string Required

    min length 1 · max length 320

  • sender_domain string Required

  • region string

    max length 64

  • smtp_host string

    max length 253

  • smtp_port integer

    one of 465, 587

  • token string

    min length 1 · max length 4096

  • access_key_id string

    min length 1 · max length 128

  • secret_access_key string

    min length 1 · max length 4096

  • session_token string

    max length 4096

  • username string

    min length 1 · max length 320

  • password string

    min length 1 · max length 4096

  • templates array of ITEmailTemplate

    max items 7

  • 200 OK ITEmailConfiguration
  • default Any other error, including internal_error. Every code is in the error catalogue. Error

Errors share one shape; see the error code catalogue.

curl -X PUT \
"https://api.ohauthcat.com/v1/it_email_configuration" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"provider": "ses",
"from": "example_from",
"sender_domain": "cdom_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}'
Response 200
{
"id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "it_email_configuration",
"provider": "ses",
"from": "example_from",
"sender_domain": "cdom_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"dns_verified": true,
"region": "example_region",
"smtp_host": "example_smtp_host",
"smtp_port": 1,
"templates": [
{
"category": "setup_invitation",
"subject": "example_subject",
"text": "example_text",
"html": "example_html"
}
],
"updated_at": "2026-01-15T09:30:00Z"
}